# $Revision: 1.19 $, $Date: 2002/05/04 21:44:52 $
Summary:	Utilities belonging to the Reiser filesystem
Summary(pl):	Narzdzia dla systemu plikw Reiser
Summary(pt_BR):	Este pacote contm os utilitrios para manipulao do sistema de arquivos ReiserFS
Summary(uk):	̦      ReiserFS
Summary(ru):	      ReiserFS
Name:		reiserfsprogs
Version:	3.x.1b
Release:	1
License:	GPL v2
Group:		Applications/System
Source0:	ftp://ftp.reiserfs.org/pub/reiserfsprogs/%{name}-%{version}.tar.gz
Patch0:		%{name}-ac25x.patch
URL:		http://www.reiserfs.org/
BuildRequires:	autoconf
BuildRequires:	automake
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)
Obsoletes:	reiserfs-utils

%define		_sbindir	/sbin

%description
Reiserfs is a file system using a plug-in based object oriented
variant on classical balanced tree algorithms. The results when
compared to the ext2fs conventional block allocation based file system
running under the same operating system and employing the same
buffering code suggest that these algorithms are overall more
efficient, and are becoming more so every passing month. Loosely
speaking, every month we find another performance cranny that needs
work, and we fix it, and every month we find some way of improving our
overall general usage performance. The improvement in small file space
and time performance suggests that we may now revisit a common OS
design assumption that one should aggregate small objects using layers
above the file system layer. Being more effective at small files DOES
NOT make us less effective for other files, this is a general purpose
FS, and our overall traditional FS usage performance is high enough to
establish that. Reiserfs has a commitment to opening up the FS design
to contributions, and we are now now adding plug-ins so that you can
create your own types of directories and files.

%description -l pl
Pakiet zawiera programy do tworzenia (mkreiserfs), sprawdzania i
naprawiania bdw (reiserfsck) oraz zmiany wielkoci
(resize_reiserfs) systemu plikw ReiserFS.

%description -l pt_BR
Este pacote contm os utilitrios para manipulao do sistema de
arquivos ReiserFS.

%description -l ru
       ReiserFS.

%description -l uk
¦ ̦      ReiserFS.

%prep
%setup -q
%patch -p1

%build
rm -f missing
aclocal
autoconf
automake -a -c -f

%configure
%{__make} LDFLAGS="%{rpmldflags}" all

%install
rm -rf $RPM_BUILD_ROOT

install -d $RPM_BUILD_ROOT{%{_sbindir},%{_mandir}/man8}

%{__make} install \
	DESTDIR=$RPM_BUILD_ROOT

ln -sf reiserfsck $RPM_BUILD_ROOT%{_sbindir}/fsck.reiserfs
ln -sf mkreiserfs $RPM_BUILD_ROOT%{_sbindir}/mkfs.reiserfs

gzip -9nf README

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(644,root,root,755)
%doc README.gz
%attr(755,root,root) %{_sbindir}/*
%{_mandir}/man*/*

%define date	%(echo `LC_ALL="C" date +"%a %b %d %Y"`)
%changelog
* %{date} PLD Team <feedback@pld.org.pl>
All persons listed below can be reached at <cvs_login>@pld.org.pl

$Log: reiserfsprogs.spec,v $
Revision 1.19  2002/05/04 21:44:52  qboosh
- added ac25x needed for autoconf 2.53

Revision 1.18  2002/05/04 11:48:39  kloczek
- License changed to GPL v2,
- better %description (from MDK),
- merge translations from KSI.

Revision 1.17  2002/05/04 10:29:46  mkochano
- Release 1.
- Updated to 3.x.1b.
- Removed patches mktemp (obsolete) and endian_safe (seems to be merged
  with sources).

Revision 1.16  2002/03/24 23:28:24  kloczek
- perl -pi -e "s/^automake -a -c$/automake -a -c -f/"

Revision 1.15  2002/03/20 23:34:04  kloczek
- release 5.

Revision 1.14  2002/03/18 09:16:42  malekith
- thrown away BOOT
- pass rpmldflags

Revision 1.13  2002/02/22 23:29:40  kloczek
- removed all Group fields translations (oure rpm now can handle translating
  Group field using gettext).

Revision 1.12  2002/01/18 02:14:47  kloczek
perl -pi -e "s/pld-list\@pld.org.pl/feedback\@pld.org.pl/"

Revision 1.11  2001/11/29 23:53:35  gotar
- %description changes/adds.

Revision 1.10  2001/10/25 15:45:19  kloczek
- release 4,
- remove %%{_sbindir} directory from %files (it belongs to FHS).

Revision 1.9  2001/09/28 02:25:20  kloczek
- added endian-safe patch from MDK.

Revision 1.8  2001/09/27 17:06:43  gotar
- changed {fsck,mkfs}.reiserfs from hardlinks to symlinks,
- release 3.

Revision 1.7  2001/09/17 11:57:14  qboosh
- removed English "es" translations

Revision 1.6  2001/09/08 07:20:24  kloczek
- release 2,
- merge mkstemp patch from RH,
- spec adapterized,
- changed License to GPL,
- regenerate ac/am files.

Revision 1.5  2001/09/06 02:39:11  aflinta
- Changed to configure2_13

Revision 1.4  2001/08/23 17:32:22  filon
- removed -s from install -s, stripping is done by rpm

Revision 1.3  2001/06/08 14:36:52  klakier
- added BOOT package

Revision 1.2  2001/04/01 12:15:44  misiek
3.x.0j; stb

Revision 1.1  2001/03/15 14:27:57  baggins
- initial revision
